org.apache.synapse.transport.netty.config

## Class BaseConfiguration

- java.lang.Object
- - org.apache.synapse.transport.netty.config.BaseConfiguration

- Direct Known Subclasses:
    SourceConfiguration, TargetConfiguration

      public abstract class BaseConfiguration
      extends java.lang.Object

  This class has common configurations for both sender and receiver.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected org.apache.axis2.context.ConfigurationContext` | `configurationContext`
    `protected java.util.List<java.lang.String>` | `preserveHttpHeaders` Http headers which should be preserved.
    `protected boolean` | `preserveServerHeader` Weather Server header coming from server should be preserved.
    `protected boolean` | `preserveUserAgentHeader` Weather User-Agent header coming from client should be preserved.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `build()`
    `org.apache.axis2.context.ConfigurationContext` | `getConfigurationContext()`
    `java.util.List<java.lang.String>` | `getPreserveHttpHeaders()`
    `org.apache.axis2.transport.base.threads.WorkerPool` | `getWorkerPool()`
    `boolean` | `isPreserveHttpHeader(java.lang.String headerName)` Check whether to preserve or not the given HTTP header.
    `protected void` | `populatePreserveHTTPHeaders(java.lang.String preserveHeaders)` Populate preserve HTTP headers from comma separate string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### configurationContext

          protected org.apache.axis2.context.ConfigurationContext configurationContext

    - #### preserveUserAgentHeader

          protected boolean preserveUserAgentHeader

      Weather User-Agent header coming from client should be preserved.

    - #### preserveServerHeader

          protected boolean preserveServerHeader

      Weather Server header coming from server should be preserved.

    - #### preserveHttpHeaders

          protected java.util.List<java.lang.String> preserveHttpHeaders

      Http headers which should be preserved.

  - ### Constructor Detail

    - #### BaseConfiguration

          public BaseConfiguration(org.apache.axis2.context.ConfigurationContext configurationContext)

  - ### Method Detail

    - #### build

          public void build()
                     throws org.apache.axis2.AxisFault

      Throws:
        `org.apache.axis2.AxisFault`

    - #### isPreserveHttpHeader

          public boolean isPreserveHttpHeader(java.lang.String headerName)

      Check whether to preserve or not the given HTTP header.
      Parameters:
        `headerName` - HTTP header name to be checked for preserving status
      Returns:
        preserving status of the given HTTP header

    - #### populatePreserveHTTPHeaders

          protected void populatePreserveHTTPHeaders(java.lang.String preserveHeaders)

      Populate preserve HTTP headers from comma separate string.
      Parameters:
        `preserveHeaders` - Comma separated preserve enableD HTTP headers

    - #### getPreserveHttpHeaders

          public java.util.List<java.lang.String> getPreserveHttpHeaders()

    - #### getWorkerPool

          public org.apache.axis2.transport.base.threads.WorkerPool getWorkerPool()

    - #### getConfigurationContext

          public org.apache.axis2.context.ConfigurationContext getConfigurationContext()

Copyright © 2005-2022 Apache Software Foundation. All Rights Reserved.